#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long V=0, ind=0, a=0, faktor=0;
    int n=0;
    scanf("%d", &V);
    if (V==1000000000000000000)
        n=1;
    else
    {
        for (ind=500000000000000000; V; ind/=10)
        {
            faktor=ind;
            a=V/faktor;
            if (a)
            {
                n+=a;
                V-=a*faktor;
            }
            faktor=ind/5*2;
            a=V/faktor;
            if(a)
            {
               n+=a;
               V-=a*faktor;
            }
            faktor=ind/5;
            a=V/faktor;
            if(a)
            {
                n+=a;
                V-=a*faktor;
            }
        }
    }
    printf("%d", n);
    return 0;
}